MaillyDocs

Save a Cloudflare API token

PUT
/dns-provider/cloudflare

Verifies the token with the official Cloudflare API before saving (needs Zone → DNS → Edit) and stores it encrypted.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
apiToken?string

Cloudflare API Token

[key: string]?unknown

Response Body

Token saved

application/json
  1. response
success*boolean
message?string
status*
[key: string]?unknown
curl -X PUT 'https://api.mailly.site/dns-provider/cloudflare' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "message": "string",  "status": {    "provider": "string",    "configured": true,    "tokenHint": "string",    "updatedAt": 0,    "property1": null,    "property2": null  },  "property1": null,  "property2": null}